Interface Role
- All Known Implementing Classes:
RoleJson
public interface Role
A named set of role actions that can be granted to a principal, as returned by the IAM roles
catalog (
GET /v1/roles, operationId listRoles; and
GET /v1/projects/{projectId}/roles, operationId listRolesByProjectId).
This is a read-only response view (spec schema RoleDetails).
-
Nested Class Summary
Nested Classes -
Method Summary
-
Method Details
-
getRoleId
String getRoleId()- Returns:
- the immutable identifier of this role (e.g.
role:550e8400-...)
-
getName
String getName()- Returns:
- the human-friendly name of the role
-
getDescription
String getDescription()- Returns:
- the description of the role (may be
null)
-
getAssignmentScopeTypes
-
getPermissions
List<Role.Permission> getPermissions()- Returns:
- the list of permissions (action + description) assigned to this role
-